## MateCanvasEllipse MateCanvasEllipse — Canvas item for drawing ellipses and circles |

## Synopsis

    #include <libmatecanvas/libmatecanvas.h>

    struct              MateCanvasEllipse;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----MateCanvasItem
                         +----MateCanvasShape
                               +----MateCanvasRE
                                     +----MateCanvasEllipse

## Description

A canvas item for drawing ellipses and circles. The parameters are defined in the parent classes including MateCanvasRE which is shared with MateCanvasRect items as well.

## Details

### struct MateCanvasEllipse

    struct MateCanvasEllipse;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.